## webkit2gtk 2.40.0

=== Source/WebCore/platform/gtk/po/CMakeLists.txt ===
include(FindGettext)

set(linguas
    ar as bg ca cs da de el en_CA en_GB eo es et eu fi fr gl gu he hi hr hu id
    it ja ka kn ko lt lv ml mr nb nl or pa pl pt pt_BR ro ru sl sr sr@latin sv
    ta te tr uk vi zh_CN
)

# GETTEXT_CREATE_TRANSLATIONS automatically runs msgmerge, which is something we
# didn't do in the old autotools build. This overwrites all the po files in the
# Source directory. Perhaps we want this, but for now disable it to maintain compatibility.
set(GETTEXT_MSGMERGE_EXECUTABLE :)

set(domain WebKitGTK-${WEBKITGTK_API_VERSION})
set(build_directory ${CMAKE_BINARY_DIR}/Source/WebCore/platform/gtk/po)
set(pot_file ${build_directory}/${domain}.pot)
set(potfiles_file ${build_directory}/POTFILES)

file(MAKE_DIRECTORY ${build_directory})
configure_file(POTFILES.in ${potfiles_file})

add_custom_command(
    OUTPUT ${pot_file}
    DEPENDS ${potfiles_file}
    COMMAND xgettext
            --default-domain=${domain}
            --add-comments
            --msgid-bugs-address="http://bugs.webkit.org"
            --files-from=${potfiles_file}
            --package-version=${PROJECT_VERSION}
            --package-name="webkitgtk"
            --keyword=_
            --keyword=N_
            --keyword=WEB_UI_FORMAT_STRING:1
            --keyword=WEB_UI_STRING:1
            --keyword=WEB_UI_STRING_KEY:3c,1
            --keyword=WEB_UI_STRING_WITH_MNEMONIC:2
            --from-code=UTF-8
            -o ${pot_file}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/..
)

foreach (lingua ${linguas})
    list(APPEND po_files ${CMAKE_CURRENT_SOURCE_DIR}/${lingua}.po)
endforeach ()

GETTEXT_CREATE_TRANSLATIONS(${pot_file} ALL ${po_files})

=== debian/changelog ===
webkit2gtk (2.40.0-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind

 -- anticapitalista <antix@operamail.com>  Fri, 24 Mar 2023 02:28:35 +0200

webkit2gtk (2.40.0-3) unstable; urgency=medium

  * debian/{rules,control.in}:
    - Add dependency on libgles2 on arm (Closes: #1033230).

 -- Alberto Garcia <berto@igalia.com>  Tue, 21 Mar 2023 18:11:48 +0100

webkit2gtk (2.40.0-2) unstable; urgency=medium

  * debian/patches/fix-script-message-received-marshaller.patch:
    - Cherry pick fix for a regression that affects Epiphany.
  * debian/patches/fix-gst-crash.patch:
    - Cherry pick fix for a GStreamer-related crash.

 -- Alberto Garcia <berto@igalia.com>  Sat, 18 Mar 2023 11:41:32 +0100

webkit2gtk (2.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.39 (experimental) branch.
  * The GTK4 build's API number changes from 5.0 to 6.0.
    - debian/{rules,not-installed,control.in,control-common.in}: Update
      all these files to reflect the API and package name changes.
  * debian/rules:
    - Build with -DDEBUG_FISSION=OFF since it adds the -gsplit-dwarf flag
      that is currently not supported by dh_dwz (see #1016936).
    - Disable WebGL in armel, mipsel, m68k, powerpc and sh4 to work around
      a FTBFS caused by upstream bug #252670.
    - Stop passing -DUSE_LD_GOLD=OFF, this option no longer exists (and
      update reduce-memory-overheads.patch accordingly).
    - Use reduced optimizations on m68k in order to lower memory
      requirements (John Paul Adrian Glaubitz) (Closes: #1032404).
    - Disable AVIF and GStreamer transcoding on Ubuntu (Jeremy Bicha).
    - Build the 4.1 API version of the WebKit WebDriver if possible.
    - Rename WebKit2WebExtension to WebKitWebProcessExtension in the GTK4
      build's install files.
    - Remove /usr/include/*/JavaScriptCore from the GTK4 build's .install
      files.
  * Use the documentation from the 4.1 API build. This simplifies the
    build process a bit (the package is still named 4.0-doc to make
    backports easier).
  * debian/control.in:
    - Add build dependencies on unifdef, libavif-dev and
      libgstreamer-plugins-bad1.0-dev (for webrtc).
    - Require libgstreamer-plugins-bad1.0-dev >= 1.20.0, this is needed
      for USE_GSTREAMER_TRANSCODER.
    - Don't use ccache on m68k (thanks, John Paul Adrian Glaubitz)
      (Closes: #1033042).
  * debian/copyright:
    - Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
    - Mark with (gtk3-only) and (gtk4-only) the symbols that are specific
      to each build.
  * debian/libwebkit2gtk-4.0-37.install:
    - WebKit2GTK-*.mo is now WebKitGTK-*.mo.
  * debian/libwebkit2gtk-4.0-dev.install:
    - Update include path.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/patches/dont-detect-sse2.patch:
    - Don't build ANGLE with SSE support in i386.
  * Drop debian/patches/fix-non-unified-build.patch and use unified builds
    in all architecture.
  * Refresh all other patches.

 -- Alberto Garcia <berto@igalia.com>  Fri, 17 Mar 2023 14:52:02 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: webkit2gtk
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Gustavo Noronha Silva <kov@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Alberto Garcia <berto@igalia.com>
X-Ubuntu-Use-Langpack: no
Build-Depends: debhelper-compat (= 12),
               ccache [!i386 !m68k],
               bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
               xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
               libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
               cmake (>= 3.10),
               jdupes,
               libglib2.0-dev (>= 2.44.0),
               libharfbuzz-dev (>= 0.9.18),
               libcairo2-dev (>= 1.14.0),
               libfontconfig-dev,
               libfreetype-dev,
               libicu-dev,
               libgcrypt20-dev (>= 1.7.0),
               libhyphen-dev,
               liblcms2-dev,
               libmanette-0.2-dev (>= 0.2.4) [linux-any],
               libxslt1-dev (>= 1.1.7),
               libxml2-dev (>= 2.8),
               libsoup2.4-dev,libsoup-3.0-dev,libgtk-3-dev,libgtk-4-dev,
               libsqlite3-dev (>= 3.0),
               libgudev-1.0-dev [linux-any],
               libwoff-dev (>= 1.0.2),
               libwpebackend-fdo-1.0-dev [linux-any],
               gperf,
               bison,
               flex,
               ruby:native,
               unifdef,
               libavif-dev,
               libjpeg-dev,
               libopenjp2-7-dev (>= 2.2.0),
               libpng-dev,
               libtasn1-6-dev,
               libwebp-dev,
               libxt-dev,
               libgstreamer1.0-dev (>= 1.14.0),
               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
               libenchant-2-dev,
               libsecret-1-dev,
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 0.9.12-4),
               ninja-build,
               libegl-dev,
               libgl-dev,
               libgles-dev
Build-Depends-Indep: gi-docgen, libglib2.0-doc, libgtk-3-doc, libsoup2.4-doc
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
Homepage: https://webkitgtk.org/

Package: libjavascriptcoregtk-4.0-bin
Section: interpreters
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - command-line interpreter
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package provides jsc, a command-line JavaScript interpreter.

Package: libwebkit2gtk-4.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine library for GTK - documentation
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package contains the documentation and is valid for versions 4.0,
 4.1 and 6.0 of the API.

Package: webkit2gtk-driver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwebkit2gtk-4.1-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: WebKitGTK WebDriver support
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 .
 This package provides the WebDriver service implementation for
 WebKitGTK.

Package: libjavascriptcoregtk-4.0-18
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.0).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.0-37
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjavascriptcoregtk-4.0-18 (= ${binary:Version}),
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${bwrap:Depends},
         ${shlibs:Depends},
         ${gles:Depends},
         ${misc:Depends}
Recommends: gstreamer1.0-gl,
            libgl1-mesa-dri,
            ${bwrap:Recommends},
            ${gst:Recommends}
Suggests: ${gst:Suggests},
         gstreamer1.0-alsa
Description: Web content engine library for GTK
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the shared libraries.

Package: libwebkit2gtk-4.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebkit2gtk-4.0-37 (= ${binary:Version}),
         gir1.2-webkit2-4.0 (= ${binary:Version}),
         libgtk-3-dev,
         libsoup2.4-dev,
         libjavascriptcoregtk-4.0-dev (= ${binary:Version}),
         ${misc:Depends}
Description: Web content engine library for GTK - development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains the development files.

Package: gir1.2-webkit2-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: gir1.2-javascriptcoregtk-4.0 (= ${binary:Version}),
         libwebkit2gtk-4.0-37 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: Web content engine library for GTK - GObject introspection data
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WebKitGTK is a WebKit port designed to be used in GTK applications.
 This build provides version 4.0 of the API and uses libsoup v2 for
 the networking stack and the GTK 3 widget toolkit.
 .
 This package contains introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libjavascriptcoregtk-4.1-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the shared libraries.

Package: libjavascriptcoregtk-4.1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         gir1.2-javascriptcoregtk-4.1 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - development files
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the development files.

Package: gir1.2-javascriptcoregtk-4.1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         libjavascriptcoregtk-4.1-0 (= ${binary:Version}),
         ${misc:Depends}
Description: JavaScript engine library from WebKitGTK - GObject introspection data
 JavaScriptCore is the JavaScript engine used in WebKit. It consists
 of the following building blocks: lexer, parser, start-up interpreter
 (LLInt), baseline JIT, a low-latency optimizing JIT (DFG), and a
 high-throughput optimizing JIT (FTL).
 .
 This build comes from the GTK port of WebKit (API version 4.1).
 .
 This package contains the introspection data, which can be used by
 packages using the GIRepository format to generate dynamic bindings.

Package: libwebkit2gtk-4.1-0
Section: libs
Architecture: any
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CCACHE_NOHASHDIR=1
export CCACHE_DIR=$(CURDIR)/ccache

# soup2 build -> 4.0 API packages
# soup3 build -> 4.1 API packages
# gtk4 build  -> 6.0 API packages
ENABLE_SOUP2=YES
ENABLE_SOUP3=YES
ENABLE_GTK4=YES
# Set to YES to use the docs from the tarball instead of generating them.
# Use only if gi-docgen is not available.
USE_PREBUILT_DOCS=NO

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=GTK \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_MINIBROWSER=ON \
           -DENABLE_JOURNALD_LOG=OFF
EXTRA_BUILD_ARGUMENTS =
DH_GENCONTROL_ARGS =

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# https://bugs.webkit.org/show_bug.cgi?id=252670
ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k powerpc sh4))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_WEBGL=OFF
endif

# Systemd/elogind and libmanette are Linux-only
ifneq ($(DEB_HOST_ARCH_OS),linux)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
endif

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

# Lower memory requirements on architectures with only 2 GB address space
ifneq (,$(filter $(DEB_HOST_ARCH),m68k mips mipsel sh4))
	CFLAGS := $(CFLAGS:-g1=-g0)
	CFLAGS := $(CFLAGS:-O2=-Os)
	CPPFLAGS += --param ggc-min-expand=10
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
	CFLAGS := $(CFLAGS:-O2=-O1)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
	USE_PREBUILT_DOCS=NO
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
	USE_PREBUILT_DOCS=NO
else ifeq ($(USE_PREBUILT_DOCS),YES)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Don't recommend xdg portals on Ubuntu i386 where it doesn't exist
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
					xdg-dbus-proxy"
# Disable the bubblewrap sandbox if libseccomp-dev is not available
else ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
					xdg-dbus-proxy"
	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# Disable the WPE renderer if libwpebackend-fdo-1.0-dev is not available
ifeq ($(shell pkg-config --exists wpebackend-fdo-1.0 && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=ON
else
	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=OFF
endif

# Lower max parallel jobs on some of Ubuntu's builders
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64))
	EXTRA_BUILD_ARGUMENTS += --max-parallel=2
endif
endif

# set the distributor agent for Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSER_AGENT_BRANDING="Ubuntu"
endif

# libavif & gst-plugins-bad1.0 are not in Ubuntu main
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_AVIF=OFF -DUSE_GSTREAMER_TRANSCODER=OFF
endif

# gstreamer1.0-libav and gstreamer1.0-plugins-bad are not in Ubuntu "main"
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	DH_GENCONTROL_ARGS += -Vgst:Suggests="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
else
	DH_GENCONTROL_ARGS += -Vgst:Recommends="gstreamer1.0-libav, gstreamer1.0-plugins-bad"
endif

# This is loaded at runtime using libepoxy so add an explicit dependency (#1033230)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armel armhf))
	DH_GENCONTROL_ARGS += -Vgles:Depends="libgles2"
endif

CXXFLAGS=$(CFLAGS)

# Disable commands and binary packages of the builds that we don't want
ifneq ($(ENABLE_SOUP2),YES)
	SOUP2_BUILD = @:
	EXTRA_DH_ARGUMENTS += -Nlibjavascriptcoregtk-4.0-bin
else
	SOUP2_BUILD_DEP=libsoup2.4-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_SOUP3),YES)
	SOUP3_BUILD = @:
ifeq ($(USE_PREBUILT_DOCS),NO)
	EXTRA_DH_ARGUMENTS += -Nlibwebkit2gtk-4.0-doc
endif
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK3_BUILD_DEP=libgtk-3-dev,
endif
ifneq ($(ENABLE_GTK4),YES)
	GTK4_BUILD = @:
else
	SOUP3_BUILD_DEP=libsoup-3.0-dev,
	GTK4_BUILD_DEP=libgtk-4-dev,
endif

# Decide what version of the WebKit WebDriver to build
ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=OFF
ENABLE_WEBDRIVER_GTK4  = -DENABLE_WEBDRIVER=OFF
ifeq ($(ENABLE_SOUP3),YES)
	ENABLE_WEBDRIVER_SOUP3 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.1-0
else ifeq ($(ENABLE_SOUP2),YES)
	ENABLE_WEBDRIVER_SOUP2 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkit2gtk-4.0-37
else
	ENABLE_WEBDRIVER_GTK4 = -DENABLE_WEBDRIVER=ON
	WEBDRIVER_DEP_PKG = libwebkitgtk-6.0-4
endif

# The debhelper files for the soup2, soup3 and gtk4 builds are identical
# (apart from the API version) so we generate the last two from the first.
WEBKIT_DH_FILES = \
	gir1.2-javascriptcoregtk-4.0.install \
	gir1.2-javascriptcoregtk-4.0.lintian-overrides \
	gir1.2-webkit2-4.0.install \
	gir1.2-webkit2-4.0.lintian-overrides \
	libjavascriptcoregtk-4.0-18.install \
	libjavascriptcoregtk-4.0-dev.install \
	libjavascriptcoregtk-4.0-dev.lintian-overrides \
	libwebkit2gtk-4.0-37.docs \
	libwebkit2gtk-4.0-37.install \
	libwebkit2gtk-4.0-37.lintian-overrides \
	libwebkit2gtk-4.0-37.symbols \
	libwebkit2gtk-4.0-dev.install \
	libwebkit2gtk-4.0-dev.lintian-overrides

# This converts debhelper file names and contents to the soup3 versions
WEBKIT_DH_RENAME_SOUP3 = sed -e 's/4\.0-18/4.1-0/g' \
			     -e 's/4\.0-37/4.1-0/g' \
			     -e 's/4\.0\.so\.37/4.1.so.0/g' \
			     -e 's/4\.0/4.1/g'

# This converts debhelper file names and contents to the gtk4 versions
WEBKIT_DH_RENAME_GTK4 = sed -e '/usr\/include\/webkitgtk-4.0\/webkit2/d' \
			    -e '/usr\/include\/webkitgtk-4.0\/webkitdom/d' \
			    -e '/usr\/include\/webkitgtk-4.0\/JavaScriptCore/d' \
			    -e 's/webkit2gtk-web-extension/webkitgtk-web-process-extension/' \
			    -e 's/WebKit2WebExtension/WebKitWebProcessExtension/' \
			    -e 's/webkit2webextension/webkitwebprocessextension/' \
			    -e 's/4\.0-18/6.0-1/g' \
			    -e 's/4\.0-37/6.0-4/g' \
			    -e 's/4\.0\.so\.37/6.0.so.4/g' \
			    -e 's/4\.0/6.0/g' \
